Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] After OS Update MPI_Init fails on one host
From: Ralph Castain (rhc_at_[hidden])
Date: 2013-07-20 16:14:49


Ah! That would indicate an issue with the external hwloc package they provided, which is the big reason we don't recommend installing from packages. We have internal copies of hwloc and libevent that ensure (a) they are at the proper level, and (b) they are configured properly for OMPI's use.

We've had that debate with the Fedora folks recently - they won't take our advice, so I'm afraid you'll just need to build from source to have something usable.

On Jul 20, 2013, at 1:07 PM, "Kevin H. Hobbs" <hobbsk_at_[hidden]> wrote:

> On 07/20/2013 10:28 AM, Ralph Castain wrote:
>> avoid the packages as you have no idea how they were built
>
> So I built openmpi-1.6.5 from the tar ball and of course
> everything works fine.... well my simple program got through
> Mpi_init and printed its rank.
>
> I configured it very simply :
>
> ./configure --prefix=/opt/openmpi-1.6.5
>
> and I noticed that the generated program does not link hwloc like
> the program did when I used the system mpicc.
>
> I looked at the installed the openmpi source rpm and took a look
> at the configure section and it uses --with-hwloc=/usr so I
> reconfigured the openmpi-1.6.5 source with :
>
> ./configure \
> --prefix=/opt/openmpi-1.6.5 \
> --with-hwloc=/usr
>
> and when I rebuilt my program with the generated openmpi my error
> returns.
>